:root {
  color-scheme: light only;
  --black: #103853;
  --grey: #707070;
  --white: #ecf8ff;
  --active: #a8d1ec;
  --highlight: #235677;
  --font: "Noto Sans SC", sans-serif;
  --font2: "DM Sans", sans-serif;
  --font3: "Noto Serif SC", serif;
  --navheight: 70px;
  --txt_l: 20px;
  --txt_heading: 24px;
}

@media only screen and (max-width: 768px) {
  :root {
    --navheight: 65px;
  } 
}
/*---------------------------------------
   Animation
-----------------------------------------*/
@keyframes fadein{
	from {opacity: 0;}
    to {opacity: 1;}
}
@keyframes fadein_top{
	from {transform: translateY(300px); opacity: 0;}
    to {transform: translateY(0); opacity: 1;}
}
@keyframes fadein_bottom{
	from {transform: translateY(-300px); opacity: 0;}
    to {transform: translateY(0); opacity: 1;}
}
@keyframes fadein_left{
	from {transform: translateX(-500px); opacity: 0;}
    to {transform: translateX(0); opacity: 1;}
}
@keyframes fadein_right{
	from {transform: translateX(500px); opacity: 0;}
    to {transform: translateX(0); opacity: 1;}
}
@keyframes popin{
  0% {transform: scale(2); opacity: 0;}
  100% {transform: scale(1); opacity: 1;}
}
@keyframes popout{
  0% {transform: scale(0); opacity: 0;}
  100% {transform: scale(1); opacity: 1;}
}
@keyframes rotate{
  0% {transform: rotate(0deg);}
  100% {transform: rotate(360deg);}
}
@keyframes toleft{
  0% {transform: translateX(0);}
  100% {transform: translateX(-3000px);}
}

/*---------------------------------------
   Normalize    
-----------------------------------------*/
body{
  position: relative;
  width: 100%;
  margin: 0px;
  padding: 0px;
  color: var(--black);
  font-size:  var(--txt_s);
  font-family: var(--font);
  font-weight: 500;
  text-wrap: pretty;
  min-height: 100vh;
  min-height: 100svh;
  min-height: 100dvh;
  background: var(--black);
  background: #0e0e0e;
}

.maincontainer{
  width: 100%;
  max-width: 1200px;
  height: 100%;
  margin: auto;
  padding-bottom: 150px;
  z-index: 15;
}

p, li {
  font-size: var(--txt_body);
  line-height: calc(var(--txt_body) + 5px);
  font-weight: 400;
}

ol{
  padding-left: 18px;
}

button, a{
  pointer-events: all;
  cursor: pointer;
}

.divider.verti{
  margin: 0;
  width: 0;
  height: 100px;
  border-left: 1.5px solid white;
}

.logo{
  width: 218px;
  max-width: 12%;
  aspect-ratio: 218 / 76;
  background: url(../img/logo.png) top center no-repeat;
  background-size: contain;
}

@media screen and (max-width: 768px) {
  .maincontainer{
    padding-bottom: 200px;
  }
  .draggable-scroll{
    cursor: grab;
  }
  .logo{
    max-width: 30vw;
    z-index: 9999;
  }
}


.popup_wrapper {
  position: fixed;
  width: 100%;
  height: 100%;
  max-width: 100vw;
  max-height: 100vh;
  top: 0;
  left: 0;
  background: rgba(0, 0, 0, .5);
  z-index: 999;
}

.popup_container{
  position: relative;
  width: 750px;
  max-width: 87vw;
  height: 100%;
  max-height: 60vh;
  animation: fadein_top 1s ease;
}

/*---------------------------------------
   Scroll Effect       
-----------------------------------------*/
::-webkit-scrollbar {
  width: 6px;
  height: 3.5px;
}
::-webkit-scrollbar-track {
  opacity: 0;
  /* background:  rgba(226, 226, 226,.5); */
}
::-webkit-scrollbar-thumb {
  background: rgba(67, 169, 233, 0.7);
  border-radius: 6px;
}
::-webkit-scrollbar-thumb:hover {
  background: #45adee;
}

body.modal-open {
  overflow-y: scroll; /* Ensures the scrollbar stays visible */
}

/*---------------------------------------
   NAVBAR
-----------------------------------------*/
.navigation{
  padding: 15px 2%;
  top: 0;
  position: fixed;
  z-index: 9999;
}

#navbarNav{
  position: relative;
  max-height: fit-content;
  width: 100vw;
}

.navbar-toggler{
  position: absolute;
  right: 2%;
  top: 10%;
  aspect-ratio: 1/1;
  width: 15%;
  min-width: 40px;
  max-width: 50px;
  background: url(../img/btn_navclose.png) no-repeat center;
  background-size: contain;
  z-index: 9999;
  filter: saturate(0.5) brightness(3);
}
.navbar-toggler:hover{
  filter: saturate(0) brightness(10);
}
.navbar-toggler.collapsed{
  background: url(../img/btn_navopen.png) no-repeat center;
  background-size: contain;
}

.navbutton_wrapper{
  position: relative;
  max-height: fit-content;
  width: 100%;
  gap: 1%;
  margin-top: .5%;
}
.tabbutton_wrapper{
  display: none;
}

.btn_nav {
  padding: .25% 1.5%;
  border-radius: 50px;
  background: var(--highlight);
  color: var(--active);
  font-size: .85vw;
}

.btn_nav:hover{
  background: var(--active);
  color: var(--highlight);
}

.btn_fb:hover{
  filter: brightness(1.2);
}

@media only screen and (max-width: 768px) {
  .navigation::before{
    height: 100%;
    width: 100%;
    content: "";
    background: linear-gradient(to bottom, #13222c, rgba(0,0,0,0));
    position: absolute;
    mix-blend-mode: multiply;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
  }
  #navbarNav {
    position: fixed;
    top: 0;
    right: -200px;
    margin: 0;
    aspect-ratio: unset;
    width: 0;
    min-height: 100vh;
    max-height: 100vh;
    gap: 15px;
    padding: 80px 20px;
    background-color: rgba(25, 30, 50, .9);
    background: linear-gradient(to top, var(--active), #76add1);
    transition: all 0.5s ease-in-out;
    overflow-y: scroll;
    z-index: 999;
  }
  #navbarNav.nav-open {
    right: 0;
    width: 100vw;
    padding: 80px 0;
  }
  .navbutton_wrapper {
    max-width: fit-content;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    gap: 5px;
    min-height: fit-content;
    padding: 0 15px;
  }
  .tabbutton_wrapper {
    display: flex;
    min-height: fit-content;
    padding: 20px;
    padding-top: 20px;
    border-top: 1px solid rgba(56, 136, 187, 0.5);
  }
  .btn_nav{
    --txt_s: 14px;
    min-height: 30px;
    padding: 5px 25px;
    font-size: var(--txt_s);
    text-wrap: nowrap;
    border-radius: 50px;
  }
}

.tabContent_inner{
  width: 100%;
}
.tabContent_inner img {
  width: fit-content;
  max-width: 100%;
  align-self: center;
}
.imgbdr {
  max-width: 100%;
  align-self: center;
  max-width: fit-content;
  border: 1px solid var(--highlight);
  padding: 3px;
}
.imgbdr img {
  width: fit-content;
  border: 3px solid var(--highlight);
}

/*---------------------------------------
   VIDEO MODAL
-----------------------------------------*/
/* Overlay */
.videoModal {
  position: fixed;
  inset: 0;
  display: none;
  align-items: center;
  justify-content: center;
  background: rgba(0, 0, 0, 0.8);
  z-index: 9999;
  padding: 24px;
}
.videoModal.is-open { display: flex; }

/* Dialog */
.videoModal_dialog {
  width: min(100%, 960px);
  filter: drop-shadow( 0 4px 8px rgba(0, 0, 0, 0.5));
  position: relative;
}

.btn_closeVideo.btn_close {
  top: -80px !important;
  left: 50%;
  transform: scale(1) translateX(-50%) !important;
}

.videoModal_wrapper {
  aspect-ratio: 16 / 9;
  width: 100%;
  background: #000;
  border-radius: 15px;
  overflow: hidden;
}
.videoModal_wrapper > * {
  width: 100%;
  height: 100%;
  display: block;
  border: 0;
  object-fit: contain;
  background: #000;
}


/*---------------------------------------
   KV
-----------------------------------------*/
#KV{
  position: relative;
  width: 100vw;
  max-width: 1920px;
  aspect-ratio:  1920/910;
  background: url(../img/kv.jpg) top center no-repeat;
  background-size: cover;
  left: 50%;
  transform: translateX(-50%);
}
#KV::before{
  content: "";
  position: absolute;
  width: 100%;
  max-width: 100vw;
  height: 100%;
  background: linear-gradient(to top, rgba(0,0,0,.7) 0%, rgba(0,0,0,0) 50%);
  bottom: 0;
  left: 50%;
  transform: translateX(-50%);
  pointer-events: none;
}

.slogan.hidden{
  position: absolute;
  width: 50%;
  max-width: 854px;
  aspect-ratio: 854 / 294;
  left: 50%;
  bottom: 15.5%;
  transform-origin: center;
  transform: translateX(-50%) scale(2);
  background: url(../img/slogan.png) center no-repeat;
  background-size: contain;
  z-index: 99;
  opacity: 0;
  pointer-events: none;
}
.slogan.show{
  transform: translateX(-50%) scale(1);
  opacity: 1;
  transition: all .7s .5s;
}
#KV:has(#info.active) .slogan{
  opacity: 0;
  transition: all .5s;
}

@keyframes float{
  0% {transform: translateY(0px)}
  100% { transform: translateY(25px)}
}
.char{
  --char_w: 641px;
  position: relative;
  width: var(--char_w);
  max-width: 34%;
  aspect-ratio: 641 / 594;
  top: 25%;
}
.char::before{
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  left: -15%;
  background: url(../img/char.png) center no-repeat;
  background-size: contain;
  animation: fadein_top 1s ease forwards, float 3s linear infinite alternate 1s; 
}
.char::after{
  content: "";
  position: absolute;
  width: 100px;
  max-width: 15%;
  aspect-ratio: 100 / 155;
  background: url(../img/char_name.png) top no-repeat;
  background-size: contain;
  right: 20%;
  top: -10%;
  pointer-events: none;
  opacity: 0;
  animation: fadein 1s ease forwards .5s; 
}

@media only screen and (max-width: 768px) {
  #KV{
    aspect-ratio: 780 / 1450;
    background: url(../img/kv_m.jpg) top center no-repeat;
    background-size: cover;
  }
  #KV::before{
    background: linear-gradient(to top, rgba(0, 0, 0, .7) 20%, rgba(0, 0, 0, 0) 60%, rgba(0, 0, 0, 0) 90%,rgba(0, 0, 0, .7));
  }
  .slogan.hidden{
    width: 98%;
  }
  .char{
    max-width: 100%;
  }
}

/*---------------------------------------
   Button
-----------------------------------------*/
.btn_wrapper{
  position: absolute;
  height: 100%;
  max-height: 100%;
  pointer-events: none;
}

.btn_wrapper.left{
  width: 22%;
  max-height: 48%;
  left: 2%;
  bottom: 23%;
}

@keyframes popping{
  0% {transform: scale(1)}
  100% { transform: scale(.98)}
}
.btn_cta{
  position: relative;
  width: 53%;
  max-width: 225px;
  aspect-ratio: 225/216;
  background: url(../img/btn_mbti.png) no-repeat;
  background-size: contain;
}

.btn_cta span{
  position: absolute;
  width: 50%;
  max-width: 118px;
  aspect-ratio: 118/88;
  background: url(../img/gift.gif) no-repeat;
  background-size: contain;
  left: 0;
  top: 0;
  z-index: 10;
  animation: gift 1s steps(2) infinite forwards; 
}

@keyframes gift{
  0% { transform: rotate(0)}
  100% { transform: rotate(-15deg)}
}
@keyframes spin{
  0% {transform: rotate(0)}
  100% { transform: rotate(360deg)}
}
.btn_cta::after{
  content: "";
  position: absolute;
  width: 100%;
  aspect-ratio: 225/216;
  background: url(../img/btn_cta.png) top no-repeat;
  background-size: contain;
  right: 0;
  top: 0;
  pointer-events: none;
  animation: spin 15s linear infinite; 
}
.btn_cta:first-child{
  left: 0;
  top: 0;
}
.btn_cta:nth-child(2){
  left: 22%;
  top: 40%;
  background: url(../img/btn_preregis.png) no-repeat;
  background-size: contain;
}
.btn_play{
  width: 34%;
  max-width: 147px;
  aspect-ratio: 147/140;
  right: 0;
  bottom: 0;
  background: url(../img/btn_play.png) no-repeat;
  background-size: contain;
}
.btn_play2{
  width: 100%;
  max-width: 100px;
  aspect-ratio: 1 / 1;
  background: url(../img/info/btn_play.png) no-repeat;
  background-size: contain;
}
.btn_cta, .btn_play{
  position: absolute;
  opacity: 0;
  animation: popout .5s forwards  1s, popping .5s linear infinite alternate 1.5s;
}
.btn_cta:hover, .btn_play:hover, .btn_play2:hover{
  filter: hue-rotate(-15deg) saturate(1.5) brightness(1.05);
  transform: scale(.95);
  transition: all .3s;
}
@media only screen and (max-width: 768px) {
  .btn_wrapper.left {
    left: unset;
    right: 5%;
    width: 60%;
    max-height: 21%;
    bottom: 28%;
  }
  .btn_cta{
    width:48%;
  }
  .btn_cta:first-child{
    left: unset;
    top: 8%;
    right: 42%;
  }
  .btn_cta:nth-child(2){
    left: unset;
    top: 0;
    right: 0;
  }
  .btn_play{
    width: 22%;
    bottom: 92%;
    right: -2%;
  }
}

.btn_wrapper.right {
  width: 30%;
  max-height: fit-content;
  padding: 2%;
  right: 0;
  bottom: 23%;
  gap: 0;
}
.hidden .btn_sm{
  width: 20%;
  max-width: 98px;
  aspect-ratio: 98/219;
  background: url(../img/btn_facebook.png) no-repeat;
  background-size: contain;
  transform: translateY(150px);
  opacity: 0;
}
.show .btn_sm{
  transform: translateY(0);
  opacity: 1;
}
.btn_sm.fb:hover{
  background: url(../img/btn_facebook-hover.png) no-repeat;
  background-size: contain;
}
.btn_sm.dc{
  background: url(../img/btn_discord.png) no-repeat;
  background-size: contain;
}
.btn_sm.dl{
  background: url(../img/btn_download.png) no-repeat;
  background-size: contain;
}
.btn_sm.dl:hover{
  background: url(../img/btn_download-hover.png) no-repeat;
  background-size: contain;
}
.btn_sm.fb{
  margin-top: 20%;
}
.btn_sm.dc:hover{
  background: url(../img/btn_discord-hover.png) no-repeat;
  background-size: contain;
}
.btn_sm:hover{
  transform: scale(.95);
  transition: all .3s;
}
@media only screen and (max-width: 768px) {
  .btn_wrapper.right{
    width: 35%;
    right: unset;
    left: 6%;
    bottom: 33%;
    justify-content: flex-start !important;
    gap: 5%;
  }
  .hidden .btn_sm{
    width: 50%;
  }
  .btn_sm.fb{
    margin-top: 0;
  }
  .btn_sm.dc {
    background: url(../img/btn_discord.png) no-repeat;
    background-size: contain;
    margin-top: 18%;
  }
}

.btn_close:not(.small){
  display: none;
  position: absolute;
  right: 5%;
  top: 10%;
  width: 6%;
  max-width: 123px;
  aspect-ratio: 123 / 116;
  background: url(../img/btn_bubble.png) no-repeat;
  background-size: contain;
  font-size: 50px;
  color: white;
  animation: popout .5s forwards;
  z-index: 99;
}
.btn_close::before{
  content: "";
  display: block;
  width: 80%;
  max-width: 80px;

  aspect-ratio: 1 / 1;
  background: url(../img/close.png) no-repeat;
  background-size: contain;
}
.active .btn_close, .videoModal .btn_close{
  display: flex;
  align-items: center;
  justify-content: center;
  opacity: 0;
}
.btn_close:hover{
  filter: hue-rotate(-15deg) saturate(1.5) brightness(1.5);
  transition: all .3s;
}
.btn_close:hover::before{
  transform: rotate(180deg);
  transition: all .3s ease-out;
}
.btn_close.small{
  height: 30px;
  aspect-ratio: 1 / 1;
  display: flex;
  align-items: center;
  justify-content: center;
  opacity: 1 !important;

  margin: 10px;
}
.btn_close.small::before{
  width: 100%;
  height: 40px;
}
.btn_close.small:hover{
  filter: brightness(.3) saturate(15);
}
#info .btn_close{
  animation-delay: .5s;
}
@media only screen and (max-width: 768px) {
  .btn_close:not(.small) {
    right: 5%;
    top: unset;
    width: clamp(50px, 15vw, 80px );
    bottom: 16%;
  }
}
@media only screen and (max-width: 500px) {
  .btn_close:not(.small):not(.btn_closeVideo) {
    right: unset;
    left: 5%;
    bottom: 10%;
  }
}


.btn_default{
  flex-grow: 1;
  color: var(--highlight);
  background: linear-gradient(to bottom, #daefff,var(--active));
  padding: 10px;
  text-align: center;
  /* border-radius: 50px; */
}
.btn_default *{
  font-size: 20px;
  min-width: 24px;
  min-height: 24px;
}
.btn_default[disabled]{
  filter: saturate(0);
  pointer-events: none;
}
.btn_default:hover{
  color: white;
  background: linear-gradient(to bottom,var(--active), #1e77ca);
}
.btn_default.dark{
  color: white;
  background: linear-gradient(45deg ,#2b99ff,  #53bdff);
  background: none;
  line-height: calc(var(--txt_s) + 5px);
}
.btn_default.dark:hover{
  color: white;
  background: linear-gradient(45deg, #1e77ca, #2b99ff);
  transition: all .3s;
}

.btn_top {
  position: absolute;
  right: 6.5%;
  width: 4vw;
  top: unset;
  font-size: .85vw;
  font-weight: 900;
  aspect-ratio: 1 / 1;
  bottom: 15%;
  border-radius: 100px;
  z-index: 99;
  filter: drop-shadow(0 4px 6px rgba(0, 0, 0, .75));
}

@media only screen and (max-width: 768px) {
  .btn_top {
    position: fixed;
    right: 5%;
    bottom: 10%;
    width: 50px;
    font-size: 14px;
  }
}

/*---------------------------------------
   Font
-----------------------------------------*/
.tab-pane h2:not(.tlttxt){
  color: white;
  font-size: calc(var(--txt_l) -2px);
}
h2.tlttxt{
  --txt_l: 30px;
  --tltcolor:#1681b6;
  font-family: var(--font3);
  color: var(--black);
  padding: 9px 5px;
  border-top: var(--black) 1px solid;
  border-bottom: var(--black) 1px solid;
  width: fit-content;
  font-weight: 900;
}

p{
  font-size: 16px;
}

.txt_highlight, .red{
  color: #ff2b44 !important;
}

/* .divider{
  border: none;
  width: 100%;
  height: 16px;
  background: url(../img/divider.png) repeat-x center;
} */
.divider{
  border-bottom: 1px dotted var(--highlight);
}

table{
  width: 99.5%;
  border-spacing: 1px;
  color: #3c414a;
  margin: 1rem auto 1.5rem;
}
table tr:first-child td{
  padding: .8rem .5rem;
  background-color: var(--highlight);
  text-align: center;
  font-weight: 400;
  color: #fbf7e8;
}
table tr:nth-child(odd) {
  background-color: rgba(108,148,188,.35);
}
table tr:nth-child(even) {
  background-color: rgba(137,167,200,.35);
}
table td {
  font-size: 14px;
  line-height: 18px;
  border: 1px solid rgba(255, 255, 255, .35);
  word-break: break-all;
  padding: .5rem .5rem;
  /* background-color: rgba(74, 74, 134, .3); */
  text-align: center;
}


/*---------------------------------------
   Bubble Effect
-----------------------------------------*/
#bubble {
  z-index: 5;
  width: 100%;
  height: 100%;
  position: absolute;
  mix-blend-mode: color-dodge;
  pointer-events: none;
}

.bubble {
  position: absolute;
  bottom: -50px;
  background: linear-gradient(45deg, rgba(173, 216, 230, 0.6), rgba(0,0,0,0));
  border-radius: 50%;
  animation: rise linear infinite;
}
.bubble::after {
  content: "";
  width: 25%;
  height: 25%;
  position: absolute;
  top: 20%;
  left: 20%;
  background: white;
  border-radius: 50%;
  mix-blend-mode: color-dodge;
  opacity: .5;
}

/* Rise + gentle drift */
@keyframes rise {
  0% {
    transform: translate(0, 0);
    opacity: 0.8;
  }
  25% {
    transform: translate(10px, -25vh);
  }
  50% {
    transform: translate(-15px, -50vh);
  }
  75% {
    transform: translate(10px, -75vh);
  }
  100% {
    transform: translate(-5px, -110vh);
    opacity: 0;
  }
}

/*---------------------------------------
   bottom banner
-----------------------------------------*/
.stickybanner.hidden{
  position: fixed;
  width: 100%;
  max-width: 1920px;
  aspect-ratio: 1920 / 485;
  background: url(../img/btmbg.png) left no-repeat;
  background-size: contain;
  left: 0;
  bottom: -50%;
  pointer-events: none;
  z-index: 55;
  opacity: 0;
}

.stickybanner.show{
  bottom: -10%;
  opacity: 1;
  transition: transform 1s;
}

#KV:has(#info.active) .stickybanner{
  transform: translateY(-200%);
}

@media only screen and (max-width: 768px) {
  .stickybanner.hidden{
    position: fixed;
    width: 100%;
    max-width: 780px;
    aspect-ratio: 780 / 611;
    background: url(../img/btmbg_m.png) left no-repeat;
    background-size: contain;
    bottom: -13%;
  }
  #KV:has(#info.active) .stickybanner{
    transform: translateY(-300%);
  }
  .divider{
    border-bottom: 1px dotted var(--highlight);
    margin: 15px 0;
  }
}

/*---------------------------------------
   Countdown Timer
-----------------------------------------*/
.btn_info {
  position: absolute;
  right: 3.5%;
  top: 62%;
  width: 10%;
  border-radius: 50px;
  background: var(--active);
  display: flex;
  align-items: center;
  justify-content: center;
  padding: .5% .8%;
}
.btn_info::before {
  content: "";
  width: 100%;
  max-width: 136px;
  aspect-ratio: 136 / 29;
  background: url(../img/btn_info.png) no-repeat;
  background-size: contain;
}
.btn_info:hover{
  background: var(--highlight);
}
.btn_info:hover::before {
  filter: brightness(10) saturate(0) ;
}

.countdown_wrapper{
  position: absolute;
  left: 50%;
  top: 52%;
  transform: translateX(-50%);
}
.countdown_tlt{
  position: absolute;
  left: 50%;
  top: 0;
  transform: translateX(-50%);
  --spacing: 1vw;
  font-size: .75vw;
  color: var(--highlight);
  text-align: center;
  letter-spacing: var(--spacing);
  text-indent: var(--spacing);
}
.countdown_time{
  --time:  clamp(30px, 3.5vw, 80px);;
  position: relative;
  width: 5%;
  aspect-ratio: 1/1;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  margin-top: 1%;
  border-radius: 10%;
  color: var(--highlight);
}
.countdown_time:not(:last-child)::after{
  content: ":";
  position: absolute;
  right: -28%;
  top: -20%;
  font-size: var(--time);
}

.countdown_time *{
  text-align: center;
  color: var(--highlight);
  font-family: var(--font2);
}
.countdown_time h1{
  font-size: var(--time);
  line-height: var(--time);
}
.countdown_time span{
  font-size: .75vw;
  text-transform: uppercase;
}

#countdown_end{
  display: none;
  align-items: center;
  justify-content: center;
}

#countdown_end a {
  width: fit-content;
  font-size: clamp(16px, 2vw, 40px);
  font-weight: 900;
  padding: 2.5% 60%;
  padding-bottom: 4%;
  text-wrap: nowrap;
  text-align: center;
  border-radius: 150px;
  border: 1px solid var(--highlight);
  display: flex;
  align-items: center;
  justify-content: center;
  background: var(--active);
  margin-top: 23%;
}
#countdown_end a:hover{
  color: var(--active);
  background: var(--highlight);
}

@media only screen and (max-width: 768px) {
  .countdown_wrapper{
    position: absolute;
    left: 50%;
    top: 30%;
    transform: translateX(-50%);
  }
  .countdown_tlt{
    font-size: 12px;
  }
  .countdown_time{
    --time:  clamp(30px, 10vw, 80px);
    width: 15%;
    margin-top: 15px;
  }
  .countdown_time:not(:last-child)::after{
    right: -20%;
  }
  .countdown_time span{
    font-size: 2vw;
    text-transform: uppercase;
  }

  .btn_info {
    right: unset;
    left: 50%;
    transform: translateX(-50%);
    top: 54%;
    width: 30%;
    border-radius: 50px;
    border: 1px solid var(--highlight);
    padding: 1% 5%;
    padding-right: 4%;
  }
  #countdown_end h1 {
    font-size: 8vw;
    line-height: 20vw;
  }
  #countdown_end a {
    font-size: clamp(16px, 5vw, 40px);
    margin-top: 30%;
  }
}

/*---------------------------------------
   MBTI
-----------------------------------------*/
#mbti{
  display: none;
}
#mbti.active{
  display: flex;
}
.quizHeader{
  position: relative;
  border-top-left-radius: 15px;
  border-top-right-radius: 15px;
  background: linear-gradient(to right, #37a3da, #47bae6);
}
.quiz_tlt{
  position: absolute; 
  left: 0; 
  bottom: 5px;
  width: 80%; 
  max-width: 537px;
  aspect-ratio: 537/126;
  background: url(../img/mbti/mbti_tlt.png) center no-repeat;
  background-size: contain;
}
.quiz_progress{
  position: absolute;
  bottom: 0;
  max-height: 6px;
  border-radius: 0;
  width: 100%;
  z-index: 5;
}
#progressBar{
  background: #2688d4;
  transition: all .3s ease;
}
.quizSection::after{
  content: "";
  position: absolute;
  bottom: -10%;
  left: 50%;
  transform: translateX(-50%);
  width: 115%;
  max-width: 864px;
  aspect-ratio: 864 / 223;
  background: url(../img/mbti/mbti_btm.png) center no-repeat;
  background-size: contain;
  pointer-events: none;
}

.quizSection{
  position: relative;
  width: 100%;
  height: 100%;
  background: linear-gradient(to top, #76add1, var(--active)); 
}
.quiz_wrapper{
  height: 100%;
  max-height: 75%;
  padding: 3% 2%;
  border-bottom: 1px solid var(--active);
  overflow-y: auto; 
  scroll-behavior: smooth; 
}
.quiz_wrapper *{
  min-height: fit-content;
}
.quiz_item {
  color: var(--highlight);
  border-radius: 15px;
  padding: 25px 15px 10px 15px;
  border: 1px solid var(--active);
  background: #c5e8ff;
  filter: drop-shadow(0 5px 5px rgba(49, 79, 117, 0.25));
}
.quiz_item h6{
  --txtH6: 20px;
  font-size: var(--txtH6);
  line-height: var(--txtH6);
  font-weight: 700;
}
.quiz_answer label{
  display: flex;
  align-items: center;
  justify-items: flex-start;
  width: 100%;
  gap: 10px;
  padding: 10px 15px;
  border: 1px solid var(--active);
  border-radius: 5px;
  background:#86b8da;
  cursor: pointer;
}
.quiz_answer label:hover, label:has(input[type="radio"]:checked){
  background: linear-gradient(45deg ,#2b99ff,  #53bdff);
  color: white;
  transition: all .3s;
}

.quizBtn_wrapper {
  position: relative;
  display: flex;
  justify-content: flex-end;
  gap: 2%;
  z-index: 1;
  align-items: center;
  bottom: 0%;
  padding: 1% 5%;
  width: 100%;
}
#btnMBTI, #btnReset{
  width: 22%;
  max-width: 150px;
  aspect-ratio: 150 / 62;
}
#btnMBTI{
  background: url(../img/mbti/btn_mbticard.png) center no-repeat;
  background-size: contain;
}
#btnReset{
  background: url(../img/mbti/btn_reset.png) center no-repeat;
  background-size: contain;
}
#btnMBTI:hover, #btnReset:hover{
  transform: scale(.95);
  filter: brightness(1.1);
  transition: all .3s;
}
@media only screen and (max-width: 768px) {
  #btnMBTI, #btnReset {
    width: 25%;
  }
}
@media only screen and (max-width: 600px) {
  .quizSection::after{
    bottom: -6%;
  }
  .quizSection{
    justify-content: flex-start;
    gap: 0;
  }
  #btnMBTI, #btnReset {
    width: 30%;
  }
}
@media only screen and (max-width: 500px) {
  #btnMBTI, #btnReset {
    width: 50%;
  }
  .quizBtn_wrapper{
    justify-content: center;
  }
}
@media only screen and (max-width: 350px) {
  .quiz_wrapper{
    max-height: 80%;
  }
}

.mbtiCard_wrapper{
  display: none;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 50;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
  box-sizing: border-box;
  background: linear-gradient(to top, #116dd6, #41c9ff);
  background: var(--highlight);
  filter: drop-shadow(0 0 10px rgba(0, 0, 0, .75));
  overflow: hidden;
  animation: mbtiCard .75s ease;
  border-radius: 25px;
}
@keyframes mbtiCard{
  0% {transform:  translate(-50%, 0%) scale(.5); opacity: 0;}
  70% {transform:  translate(-50%, -50%) scale(1); opacity: 1;}
}

#btnCloseCard{
  position: absolute;
  right: 2%;
  top: 2%;
  z-index: 10;
}
.mbtiCard {
  position: relative;
  width: 450px;
  max-width: 95vw;
  aspect-ratio: 3 / 4;
  color: #eaf3ff;
  padding: 5%;
  display: flex;
  align-items: center;
  justify-content: flex-end;
  flex-direction: column;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}
.mbtiCard *{
  z-index: 5;
  text-align: center;
}
.mbtiCard h2 {
  display: none;
}

.mbtiBtn_wrapper {
  width: 100%;
  display: flex;
  justify-content: center;
}
.mbtiBtn_wrapper *{
  display: flex;
  justify-content: center;
  align-items: center;
}

/*---------------------------------------
   Info
-----------------------------------------*/
#info{
  position: absolute;
  width: 100vw;
  max-width: 1920px;
  aspect-ratio:  1920/910;
  background: url(../img/info.jpg) bottom center no-repeat;
  background-size: cover;
  left: 50%;
  top: 100%;
  transform: translateX(-50%);
  transition: top 1.3s;
}

#info.active{
  top: 0%;
  transition: top .75s;
  z-index: 50;
}

@media only screen and (max-width: 768px) {
  #info{
    aspect-ratio: 780 / 1450;
  }
}

.tabwrapper {
  --highlight2: #376fa5;
  position: absolute;
  left: 0;
  top: 15%;
  width: clamp(90px, 8vw, 150px);
  gap: .55vw;
}
.tab_btn{
  position: relative;
  width: 100%;
  color: var(--highlight);
  border: 1px solid rgba(0, 0, 0, 0);
  border-top-right-radius: 50px;
  border-bottom-right-radius: 50px;
  padding: 5% 10%;
  font-size: clamp(12px, .85vw, 50px);
  display: flex;
  align-items: center;
  justify-content: flex-end;
  gap: .5vw;
  text-wrap: nowrap;
  transform: translateX(-10%);
}
.tab_btn::before{
  content: "";
  position: absolute;
  width: 98%;
  height: 80%;
  background: var(--highlight);
  border-top-right-radius: 50px;
  border-bottom-right-radius: 50px;
  opacity: .35;
  top: 50%;
  left: 0;
  transform: translateY(-50%);
  opacity: 0;
  z-index: -1;
}
.tab_btn::after{
  content: "";
  width: .35vw;
  aspect-ratio: 1 / 1;
  background: var(--highlight);
  border-radius: 50%;
}

.tab_btn:hover, .tab_btn.active{
  width: 100%;
  color: white;
  border: 1px solid var(--highlight);
  transform: translateX(-1px);
  transition: transform .3s;
}
.tab_btn:hover::after, .tab_btn.active::after{
  background: white;
}
.tab_btn:hover::before, .tab_btn.active::before{
  opacity: .85;
}

.tabbutton_wrapper .tab_btn{
  font-size: 16px;
  padding: 15px 50px;
  border-radius: 50px;
  justify-content: center;
  transform: unset;
}
.tabbutton_wrapper .tab_btn::before{
  border-radius: 50px;
  left: 50%;
  transform: translate(-50%, -50%);
}
.tabbutton_wrapper .tab_btn:hover,.tabbutton_wrapper .tab_btn.active{
  transform: translateX(0);
}
.tabbutton_wrapper .tab_btn::after{
  display: none;
}

@media only screen and (max-width: 768px) {
  .tabwrapper{
    display: none;
  }
}


/*---------------------------------------
   Info - Tab
-----------------------------------------*/
.tabContent_wrapper{
  width: 100%;
  height: 100%;
  padding-top: 6.5%;
}
.tabContent_wrapper.show{
  display: flex !important;
}

.tabContent_container {
  position: relative;
  width: 100%;
  max-width: 75%;
  max-height: 75%;
  padding: 2% 0;
  margin-top: 1%;
}

.tabContent{
  width: 100%;
  max-height: 100%;
  padding: 2%;
  scroll-behavior: smooth;
}

.tabContent_wrapper:has(.tabChar_wrapper) .tabContent_inner{
  max-width: 60%;
}
.tabContent_inner .tabChar_wrapper {
  position: absolute;
  width: 60%;
  height: 100%;
  right: -18%;
  bottom: 10%;
  z-index: 5;
  pointer-events: none;
}

.tabHeader{
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  top: 5%;
  gap: 1vw;
}

.tabHeader span{
  font-family: var(--font3);
  font-size: .75vw;
  letter-spacing: 1vw;
  text-indent: 1vw;
  font-weight: 600;
  text-align: center;
}
.tabTitle{
  position: relative;
  filter: drop-shadow(0 2px 3px rgba(35, 86, 119, 0.75))
          drop-shadow(0 3px 6px rgba(35, 86, 119, 0.75));
}

.tabTitle h1{
  --tabtlt: 2.5vw;
  font-family: var(--font3);
  font-size: var(--tabtlt);
  line-height: var(--tabtlt);
  font-weight: 900;
  color: rgba(0,0,0,0);
  background: linear-gradient(to top, var(--active), var(--white));
  background-clip: text;
  -webkit-background-clip: text;
}

.tabTitle::before, .tabTitle::after{
  content: "";
  position: absolute;
  width: 60%;
  max-width: 168px;
  aspect-ratio: 168/99;
  background: linear-gradient(to top, var(--active), var(--white));
  mask-image: url(../img/info/tltdeco.png);
  -webkit-mask-image: url(../img/info/tltdeco.png);
  mask-size: contain;
  -webkit-mask-size: contain;
  top: 50%;
  transform: translateY(-50%);
}
.tabTitle::before{
  right: 110%;
}
.tabTitle::after{
  left: 110%;
  transform: translateY(-50%) scaleX(-1);
}

.tabChar_wrapper{
  position: absolute;
  width: 50%;
  height: 100%;
  right: 0;
  bottom: 0;
  z-index: 5;
  pointer-events: none;
}

#info.active .tabChar_wrapper img{
  width: 100%;
  opacity: 0;
  animation: fadein_right 1s ease forwards;
}

.tabChar_wrapper .btn_play2{
  width: 8%;
  position: absolute;
  top: 30%;
  left: 24%;
  z-index: 5;
}

.tabContent_navbar{
  width: 100%;
  max-width: 100%;
  gap: 1%;
  row-gap: 10px;
  filter: drop-shadow(0 2px 3px rgba(35, 86, 119, 0.75));
  flex-wrap: wrap;
}

.btn_tabContent, .btn_tab{
  position: relative;
  max-width: fit-content;
  padding: .7% 3%;
  background: linear-gradient(to top, var(--active), var(--white));
  color: var(--highlight);
  clip-path: polygon(10% 0, 0 50%, 10% 100%, 90% 100%, 100% 50%, 90% 0);
  -webkit-clip-path: polygon(10% 0, 0 50%, 10% 100%, 90% 100%, 100% 50%, 90% 0);
  overflow: visible;
  text-wrap: nowrap;
}
.btn_tabContent::before, .btn_tabContent::after, .btn_tab::before, .btn_tab::after{
  content: "";
  position: absolute;
  width: 6%;
  aspect-ratio: 1/1;
  top: 50%;
  transform: translateY( -50%);
  background: linear-gradient(to top, #395e8f, var(--highlight));
  clip-path: polygon(0 50%, 50% 100%, 100% 50%, 50% 0);
}
.btn_tabContent::before, .btn_tab::before{
  left: 5%;
}
 .btn_tabContent::after, .btn_tab::after{
  right: 5%;
}
.btn_tabContent:hover, .btn_tabContent.active, .btn_tab:hover, .btn_tab.active{
  color: var(--white);
  background: linear-gradient(to top, #395e8f, var(--highlight));
}
.btn_tabContent:hover::before, .btn_tabContent:hover::after, .btn_tabContent.active::before, .btn_tabContent.active::after, .btn_tab:hover::before, .btn_tab:hover::after, .btn_tab.active::before, .btn_tab.active::after{
  background:var(--white);  
}

@media only screen and (max-width: 768px) {
  .tabContent_navbar {
    width: 100vw;
    max-width: 100vw;
    min-height: 40px;
    flex-wrap: nowrap;
    overflow-x: auto;
    padding: 0 25px;
    align-items: flex-start;
    justify-content: flex-start !important;
  }
  .tabContent_navbar::-webkit-scrollbar {
    display: none;
  }
  .btn_tabContent, .btn_tab{
    padding: 5px 25px;
    font-size: clamp(12px, 2.5vw, 30px);
  }
  .tabContent_container{
    max-width: 90%;
    padding-top: 28%;
  }
  .tabHeader{
    top: 10%;
  }
  .tabHeader span {
    font-size: 2vw;
  }
  .tabTitle h1 {
    --tabtlt: 8vw;
  }
  .tabContent_wrapper:has(.tabChar_wrapper) .tabContent_inner{
    max-width: 100%;
  }
  .tabChar_wrapper{
    display: none;
  }
}

#googleForm{
  max-width: 700px;
  width: 90vw;
  height: fit-content;
  max-height: 100vh;
  position: relative;
  z-index: 9999;
  margin-top: 85px;
  margin-bottom: 50px;
  background: #ffffff;
  box-shadow: 0 4px 12px rgba(0, 0, 0, .35);
  border-radius: 12px;
  box-sizing: border-box;
}
#googleForm iframe {
  width: 100%;
  height: 700px; 
  border: none;
}

#googleForm::before, #googleForm::after{
  content: "";
  width: 100%;
  position: absolute;
  bottom: -100px;
  opacity: 0;
  animation: fadein_top 1s ease forwards .5s, float 3s linear infinite alternate 1.5s; 
  pointer-events: none;
}
#googleForm::before{
  left: 90%;
  max-width: 546px;
  aspect-ratio: 546/852;
  background: url(../img/nan.png) bottom no-repeat;
  background-size: contain;
}
#googleForm::after{
  right: 90%;
  max-width: 600px;
  aspect-ratio: 643/849;
  background: url(../img/nv.png) bottom no-repeat;
  background-size: contain;
}

#KV.regis{
  min-height: 100vh;
  aspect-ratio:  unset;
  background: url(../img/regis.jpg) center no-repeat;
  background-size: cover;
}
@media only screen and (max-width: 768px) {
  #googleForm::before, #googleForm::after{
    display: none;
  }
}